BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto Class Reference

## Properties
Guid | CheckInId = Guid.Empty`[get, set]`
DateTime? | CheckInDate = DateTime.MinValue`[get, set]`
string? | CheckInTime = "00:00"`[get, set]`
string? | CheckInLocation = string.Empty`[get, set]`
string? | CheckInStatus = string.Empty`[get, set]`
DateTime? | CheckOutDate = DateTime.MinValue`[get, set]`
string? | CheckOutTime = "00:00"`[get, set]`
string? | CheckOutLocation = string.Empty`[get, set]`
string? | CheckOutStatus = string.Empty`[get, set]`
bool | IsEdit = false`[get, set]`

## Property Documentation

## ◆ CheckInDate

DateTime? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckInDate = DateTime.MinValue
| get set

## ◆ CheckInId

Guid BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckInId = Guid.Empty
| get set

## ◆ CheckInLocation

string? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckInLocation = string.Empty
| get set

## ◆ CheckInStatus

string? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckInStatus = string.Empty
| get set

## ◆ CheckInTime

string? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckInTime = "00:00"
| get set

## ◆ CheckOutDate

DateTime? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckOutDate = DateTime.MinValue
| get set

## ◆ CheckOutLocation

string? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckOutLocation = string.Empty
| get set

## ◆ CheckOutStatus

string? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckOutStatus = string.Empty
| get set

## ◆ CheckOutTime

string? BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.CheckOutTime = "00:00"
| get set

## ◆ IsEdit

bool BMA.EHR.Leave.Service.DTOs.CheckIn.CheckInHistoryDto.IsEdit = false
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Leave.Service/DTOs/CheckIn/CheckInHistoryDto.cs